Skip to main content
POST
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2026.0

Path Parameters

shuttle_system_id
string
required

The unique identifier for the shuttle system.

Response

Returns the agent installation credentials for the Windows system.

The installation credentials issued for a Windows shuttle system. The registration token is pasted into the Windows agent installer to register the agent with its system.

registration_token
string
required

The installation token to paste into the Windows agent installer to register the agent.

Example:

"eyJhbGciOi..."

expires_at
string<date-time>
required

When the registration token expires and can no longer be used.

Example:

"2026-03-16T12:00:00Z"

Last modified on October 26, 2026